COOT(1)

NAME
Coot - model building program for macromolecular crystallography

SYNOPSIS
coot [options]

DESCRIPTION
This manual page briefly documents the Coot molecular graphics program.

Coot is a program that displays electron density maps and models and allows certain model manipulations: idealization, refinement, manual rotation/translation, rigid-body fitting, ligand search, solvation, mutations, rotamers, Ramachandran plots and other stuff.

Coot has an embedded Python interpreter. Thus the full power of python is available. On startup, Coot will look for an initialization script ($HOME/.coot.py) and will execute it if found. This file typically contains Python commands that set personal preferences.

On exit Coot saves the current state to a file called 0-coot.state.py. This state file contains information about the screen centre, the clipping, colour map rotation size, the symmetry radius, and other molecule related parameters such as filename, column labels, coordinate filename etc. The next time Coot starts up in the same directory, the user is prompted to load the state file thus restoring the previous session.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--help
    print command line options and exit.

--detailed-help
    print help, including all details and hidden options, and exit.

--full-help
    print help, including hidden options, and exit.

--version
    print the version and exit.

--version-full
    output detailed version details and exit.

Experimental data options:

-p, --pdb  <filename> ...
    input PDB, SHELX .ins/.res and CIF files.

--coords, --xyzin ...
    same as --pdb.

-m, --map <filename> ...
    read a CCP4-format electron density map.

-d, --data, --hklin <filename> ...
    MTZ, PHS or mmCIF reflection data file.

--hklin
    same as --data.

-a, --auto <filename> ...
    auto-read MTZ format reflection files (with default MTZ column labels FWT, PHWT).

--code <PDB ident> ...
    on starting Coot, get the PDB file and MTZ file (if it exists) from the Electron Density Server (EDS).

--dictionary <filename> ...
    read in a CIF monomer dictionary.

Scripting options:

-s, --script filename ...
    run a script on startup.

-c, --command command ...
    run a Python command on startup.

--python
    process -c arguments as Python rather than Scheme. This option only has any meaning if Coot is built with Guile support, in which case -c arguments are considered to be Scheme by default.

Environment:

--ccp4-project directory
    optionally define CCP4 project directory.

--directory directory
    Define working directory. Coot will chdir to this directory before starting any work.

Startup options:

--no-state-script
    don't run the 0-coot.state.py script on start up. Don't save a state script on exit either.

--state-script
    run the 0-coot.state.py script on start up, without popping a dialog box to prompt the user.

--no-graphics
    run Coot without graphics.

--no-guano
    don't leave "Coot droppings" i.e. don't write state and history files on exit.

--no-splash-screen
    don't display the pretty splash screen on startup.

--splash-screen filenameP
    alternate splash screen, should be a .png format file. This option is currently ignored.

--small-screen
    start up on computer with a small screen (e.g. EEE PC and other notebook computers.

--stereo
    start up in hardware stereo mode.

--side-by-side
    start in side-by-side stereo mode.

--zalman-stereo
    use Zalman stereo hardware.

Miscellaneous:

--host, --hostname host
    start listener on host.

--port number
    port number for listener define by --host.

Coot maintenance:

--update-self
    attempt to update self.

--self-test
    run internal self-test and exit.

EXAMPLES
For example, one might use:

coot --pdb post-refinement.pdb --auto refmac-2.mtz --dictionary lig.cif

FILES

$HOME/.coot.py
    file containing user Python code, for example global personal startup settings. If this file is found, it will be executed immediately before the state file.

$HOME/.coot-preferences/coot_preferences.py
    contains global user preferences. Do not edit this file, changes will be overwritten.

$HOME/.coot-preferences/*.py
    All *.py files are loaded in alphabetical order when the program starts. The user can place various customizations here.

./0-coot.state.py
    contains the state of Coot when it last exited, for example file names of structures and maps, the colours of the molecules and map, the screen centre, map size and so on. When restarting a session, this file should usually be used.

./0-coot-history.py
    The history of coot commands in the last coot session.

./coot-download/
    Directory where the files downloaded by Coot from the network are saved. (For example files fetched from the European Bioinformatics Institute (EBI) and the Electron Density Server (EDS))

./coot-backup/
    At each model modification a PDB file containing the current coordinates is saved in this directory.

./coot-refmac/
    When running Refmac using the Coot interface, the input and output are saved in this directory.

./coot-ccp4/
    When running CCP4 programs using the Coot interface. Input and output files are saved in this directory.

./coot-molprobity/
    When running Molprobity's Probe and Reduce using the Coot interface, the input and output are saved in this directory.

ENVIRONMENT VARIABLES
Certain environment variables can optionally be used to modify where in the file system Coot finds information. Default values are given in brackets.

COOT_MONOMER_LIB_DIR
    Directory containing the Refmac dictionary files, used internally by Coot. This environment variable must point to the monomers directory [/usr/share/refmac/monomers].

COOT_REFMAC_LIB_DIR
    Directory containing the Refmac dictionary files, used when Refmac or libcheck is invoked via the Coot interface. Below the defined directory, the program must find a data/monomers/ hierachy [/usr/share/refmac].

COOT_RESOURCES_FILE
    Path to the GTK2 resource file, for customization of the widgets [/usr/share/coot/cootrc].

COOT_SBASE_DIR
    Path to the directory containing the MMDB sbase database files, that are distributed with the CCP4 package. Coot can optionally make use of the sbase database.

SEE ALSO
bfactan(1), density-score-by-residue(1), findligand(1), findwaters(1), fix-nomenclature-errors(1), lidia(1).

AUTHOR
Coot is written by Paul Emsley, Kevin Cowtan, Bernhard Lohkamp, and several other contributors.

This manual page was written for the Ubuntu coot package by Morten Kjeldgaard <mok0@ubuntu.com>.